Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.integration
Class EmbeddedRestHornetQ

    java.lang.Object
      org.hornetq.rest.integration.EmbeddedRestHornetQ

Direct Known Subclasses:
  EmbeddedRestHornetQJMS

    public class EmbeddedRestHornetQ

extends java.lang.Object

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected org.hornetq.core.server.embedded.EmbeddedHornetQ` | `embeddedHornetQ`
`protected MessageServiceManager` | `manager`
`protected org.jboss.resteasy.plugins.server.tjws.TJWSEmbeddedJaxrsServer` | `tjws`

Constructor Summary
`EmbeddedRestHornetQ()`

Method Summary
`org.hornetq.core.server.embedded.EmbeddedHornetQ` | `getEmbeddedHornetQ()`
`MessageServiceManager` | `getManager()`
`org.jboss.resteasy.plugins.server.tjws.TJWSEmbeddedJaxrsServer` | `getTjws()`
`protected void` | `initEmbeddedHornetQ()`
`void` | `setTjws(org.jboss.resteasy.plugins.server.tjws.TJWSEmbeddedJaxrsServer tjws)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tjws

    protected org.jboss.resteasy.plugins.server.tjws.TJWSEmbeddedJaxrsServer tjws

### embeddedHornetQ

    protected org.hornetq.core.server.embedded.EmbeddedHornetQ embeddedHornetQ

### manager

    protected MessageServiceManager manager

Constructor Detail

### EmbeddedRestHornetQ

    public EmbeddedRestHornetQ()

Method Detail

### initEmbeddedHornetQ

    protected void initEmbeddedHornetQ()

### getTjws

    public org.jboss.resteasy.plugins.server.tjws.TJWSEmbeddedJaxrsServer getTjws()

### setTjws

    public void setTjws(org.jboss.resteasy.plugins.server.tjws.TJWSEmbeddedJaxrsServer tjws)

### getEmbeddedHornetQ

    public org.hornetq.core.server.embedded.EmbeddedHornetQ getEmbeddedHornetQ()

### getManager

    public MessageServiceManager getManager()

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.